gstreamermm: Gst::EventBufferSize Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
Gst::EventBufferSize Class Reference

A buffer size event. More...

Inheritance diagram for Gst::EventBufferSize:
[legend]
Collaboration diagram for Gst::EventBufferSize:
[legend]

List of all members.

## Public Member Functions
| EventBufferSize (GstEvent* event)
void | parse (Format& format, gint64& minsize, gint64& maxsize, bool&async) const
| Get the format, minsize, maxsize and async-flag in the buffersize event.
gint64 | parse () const
| Get the minsize in the buffersize event.
Gst::Format | parse_format () const
| Get the format, in the buffersize event.
gint64 | parse_max_size () const
| Get the maxsize in the buffersize event.
bool | parse_async () const
| Get the async-flag in the buffersize event.
## Static Public Member Functions
static Glib::RefPtr < Gst::EventBufferSize > | create (Format format, gint64 minsize, gint64 maxsize, bool async)
| Create a new buffersize event.

## Detailed Description

A buffer size event.

See create() for more details.

## Constructor & Destructor Documentation

Gst::EventBufferSize::EventBufferSize | ( | GstEvent * | event | ) | `[explicit]`

## Member Function Documentation

static Glib::RefPtr<Gst::EventBufferSize> Gst::EventBufferSize::create | ( | Format | format,
|  | gint64 | minsize,
|  | gint64 | maxsize,
|  | bool | async
| ) |  | `[static]`

Create a new buffersize event.

The event is sent downstream and notifies elements that they should provide a buffer of the specified dimensions.

When the async flag is set, a thread boundary is prefered.

Parameters:

  format | Buffer format.
  minsize | Minimum buffer size.
  maxsize | Maximum buffer size.
  async | Thread behavior.

Returns:
  A new Gst::EventBufferSize.

void Gst::EventBufferSize::parse | ( | Format& | format,
|  | gint64 & | minsize,
|  | gint64 & | maxsize,
|  | bool & | async
| ) |  | const

Get the format, minsize, maxsize and async-flag in the buffersize event.

Parameters:

  format | A reference to store the format in.
  minsize | A reference to store the minsize in.
  maxsize | A reference to store the maxsize in.
  async | A reference to store the async-flag in.

gint64 Gst::EventBufferSize::parse | ( |  | ) | const

Get the minsize in the buffersize event.

Returns:
  The mininum size.

bool Gst::EventBufferSize::parse_async | ( |  | ) | const

Get the async-flag in the buffersize event.

Returns:
  The async flag.

Gst::Format Gst::EventBufferSize::parse_format | ( |  | ) | const

Get the format, in the buffersize event.

Returns:
  The format.

gint64 Gst::EventBufferSize::parse_max_size | ( |  | ) | const

Get the maxsize in the buffersize event.

Returns:
  The maximum size.

The documentation for this class was generated from the following file:

- gstreamermm/event.h